Skip to content

Get payout status

Fetch the latest status and details for a single previously created payout. Poll until a terminal state (confirmed, deterministic failed, or user_denied).

GET
/api/payouts/{payoutId}

Authorizations

agentJwt

Agent registration JWT. Send as Authorization: Bearer <agent-jwt>.

Type
HTTP (bearer)

Responses

Payout details.

application/json
{
  "payout": {
    "payoutId": "<string>",
    "status": "<string>",
    "txHash": "<string>",
    "approvalUrl": "<string>",
    "expiresAt": "<integer>",
    "toAddress": "<string>",
    "amount": "<string>",
    "currency": "<string>",
    "network": "<string>",
    "assetAddress": "<string>",
    "agentId": "<string>",
    "agentName": "<string>",
    "failureReason": "<string>",
    "createdAt": "<integer>",
    "executedAt": "<integer>"
  }
}

Released under the MIT License.